Theme Update - Datecreated is Invalid

More
2 months 2 days ago - 2 months 2 days ago #222120 by mhladun
When I try to update from one existing theme to another, I get the error message "Survey could not be updated, please fix the following error: The format of Datecreated is invalid.". See the attached image for the error message in the view. The themes I am switching between are pre-installed themes like "Fruity" and "Vanilla". The exception is raised after clicking the Save button.

I've tried updating a few times from 5.1.17+211025 to 5.2.1+211111 to 5.2.2+211115 and the bug is still present. I also tried resetting all the themes and received the same message.

Current LS version 5.2.2+211115
Database: Postgresql/EnterpriseDB 10.9.17 
 
Attachments:
Last edit: 2 months 2 days ago by mhladun.

Please Log in to join the conversation.

More
2 months 2 days ago #222134 by mhladun
I enabled logging and found that the following error is being logged:

[error] [application.LimeExpressionManager] setVariableAndTokenMappingsForExpressionManager with an empty surveyOptions.
Attachments:

Please Log in to join the conversation.

More
2 months 2 days ago #222142 by DenisChenu
I see the logging issue about the invalid expression manager started : it's a must fix but this is not the issue here.

I think there are a potential issue with PGSQL and 5.X version …
can you update to last 5.X version, test again ?
If it broke : community.limesurvey.org/bug-tracker/

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand , plugin development . I don't answer to private message.

Please Log in to join the conversation.

Start now!

Just create your account and start using Limesurvey today.

Register now